POST /environments
Create an environment, managed through the API: no file, live immediately.
To define it in a repository instead, commit a `kind: environment` YAML under an agents directory. 409 when another live environment already holds the name.
curl -X POST "https://api.ellipsis.dev/v1/environments" \
-H "Authorization: Bearer $ELLIPSIS_API_KEY" \
-H "Content-Type: application/json" \
-d '{"environment":"..."}'{
}
import os
from ellipsis import Ellipsis
client = Ellipsis(api_key=os.environ["ELLIPSIS_API_TOKEN"])
result = client.environments.create("...")
print(result){
}
import { Ellipsis } from '@ellipsis-dev/sdk';
const client = new Ellipsis({
apiKey: process.env.ELLIPSIS_API_TOKEN!,
});
const result = await client.environments.create({ environment: '...' });
console.log(result);{
}
Request
environmentEnvironmentConfigrequired
The environment's definition.